import javax.swing.*;
import java.*;


public class Hybrit_Power_Plant_Main2
	{
	public static void main(String arg[])
		{
			
			double power=100; //MW
			double field=0; // solar panellerinin alanı (m^2)
			double maks_field; // solar panellerinin maksimum alanı (m^2)
			
			//int day=24; 
			//int mounth=6; 
			//double standartTime=18.0*60.0; 
			double enlem=38.4; 
			double boylam=-27.25; 
			double ssboylamı=-45.0;
			double yukseklik=0.01; 
			int iklim=2;  // yarı tropikal
			double ro=1;  //yansıma oranı
			double year=1;
			
			Hybrit_Power_Plant r=new Hybrit_Power_Plant( power, enlem, boylam,ssboylamı, yukseklik, iklim);
        		
        		r.rankinearaısıtmalı_model(600.0,150.0,40.0 ,600.0,0.1,1.0,1.0);
        		maks_field=r.maks_field_system_solar( ro);
        		
        	
        	String s=r.cikti(maks_field,ro);		
        	JOptionPane.showMessageDialog(null,s,"Hibrit Santralin Analizi:",JOptionPane.PLAIN_MESSAGE);
		
 			//System.out.println(s);
		
	}
}